image: maven:latest

variables:
  MAVEN_CLI_OPTS: "--batch-mode"
  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository -Dorg.slf4j.simpleLogger.showDateTime=true"
#  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN -Dorg.slf4j.simpleLogger.showDateTime=true"

# Cache downloaded dependencies and plugins between builds.
# To keep cache across branches add 'key: "$CI_JOB_NAME"'
cache:
  key: ${CI_JOB_NAME}
  paths:
    - .m2/repository

build:
  stage: build
  script:
    - mvn $MAVEN_CLI_OPTS package
  artifacts:
    paths:
      - p2repository/target/repository/

pages:
  stage: deploy
  dependencies:
    - build
  script:
    - mv p2repository/target/repository public
  artifacts:
    paths:
      - public
#  only:
#    - main

